ENT.Type = "anim"
ENT.Base = "base_entity"
ENT.RenderGroup = RENDERGROUP_BOTH
ENT.Spawnable = true
ENT.PrintName = "Methylamin"
ENT.Category = "Meth-Herstellung"
ENT.Model = Model("models/zerochain/zmlab/zmlab_methylamin.mdl")

function ENT:SetupDataTables()
	self:NetworkVar("Entity", 0, "owning_ent")
end

function ENT:PhysgunPickup(ply)
	return ply:IsAdmin()
end

function ENT:CanTool(ply, trace, mode)
	return mode == "remover" and ply:IsAdmin()
end